.creator-group-title {
    margin: 60px 0 20px;
    font-size: 24px;
    font-weight: bold;
}

.creator-card-wrap {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(220px, 1fr));
    gap: 20px;
}

.creator-card {
    /* display: block; */
    display: flex;
    flex-direction: column;

    background: #fff;
    border-radius: 8px;
    border-style: solid;
    border-width: 1px;
    border-color: #e2e2e2;
    overflow: hidden;
    text-decoration: none;
    color: #333;
    box-shadow: 0 2px 8px rgba(0, 0, 0, 0.1);
    transition: transform .2s ease, box-shadow .2s ease;
}

.creator-card:hover {
    transform: translateY(-4px);
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.15);
}

.creator-card-image img {
    width: 100%;
    height: 200px;
    object-fit: cover;
}

.creator-card-body {
    padding: 12px 14px;

    display: flex;
    flex-direction: column;
    flex-grow: 1;
}

.creator-card-title {
    font-size: 16px;
    /* margin: 0; */
    /* タイトル部分を上に押し上げる */
    margin-bottom: auto;
    font-weight: bold;
}

.card-detail-link {
    /* padding-top: 1em; */
    text-align: right;

    /* 詳細を見る を最下部へ */
    margin-top: auto; 
    display: block;
    padding: 8px 0;

}